
local localsection="route1"


local route1={"Fish fillets clone development track",
"milestones:",
"- Background and objects are in their own tables",
"- Objects can now be pushed (only by the big fish)",
"- Switch character works (press space to switch characters)",	--5
"- Objects now collide with each other (This is amazing!)",
"- Walls collisions works",
"",
"Bugs fixed:",
"",--10
"- Performance issue caused by all the debug characters ",
"and colors written over the objects. Solved by simply deactivating them",
"",
"How collisions work:",
"Collisions work thanks to this library: ",--15
"https://github.com/darkfrei/love2d-lua-tests/tree/main/push-blocks",--16
"This is a brief explanation of what has been done to make objects collide with each other:",
"Now the agent checks if the bounding boxes of agent and block is colliding,",	--18
"if yes, then check if here is an actual contact between them, the block checks ",
"if it can be moved too. ",--20
"",
"What's missing and needs to be done:",
"- Make the big fish stop inside the grid (it currently does every 4 animation cycles)",--22
"- Implement gravity: makes objects fall down",
"- Implement fatality: makes fish die if the objects falls over them",--25
"- Steel bar should only be moved by the big fish",
"- Pilled objects should be able to move and be transported (this is quite hard to accomplish to me)",--27
"",
"source code: https://github.com/glitchapp/Luasok",
}

--fonts and coordenates for route1 text
				--1    2   3   4   5   6   7   8   9  10  11  12  13  14  15  16  17  18  19  20   21  21  22  23  24  25  26  27 
local route1font={15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 12, 12, 12, 12, 12, 12, 12,  15, 15, 15, 15, 15, 15, 15, 15}
local route1x=  {770,770,800,800,800,800,800,770,770,770,800,800,770,770,800 ,800,800,800,800,800,770,770,800,800,800,800,800,800}
local route1y=  { 50, 90,110,130,150,170,190,210,230,250,270,290,310,330,350,370,390 ,410,430,450,470,490,510,530,550,570,590,610}

local about1={"about this project",
"This is an attempt at implementing fish fillets game mechanichs in lua",
"The graphics are written with löve2d and the game is open source",
"Feel free to port it to any other framework or language if you want",
"The source code is here: source code:",
"",
"https://github.com/glitchapp/Luasok",
"",
"The original port to linux can be found here:",
"http://fillets.sourceforge.net/manual.php",
"The very first and original game was created by ALTAR interactive on 1998",
"and was only for windows and it was commercial / freeware",
"",
"The port to linux was created on 2004 in C++ and SDL.",
"Lua was used for the scripts.",--20
"There were binaries for Linux and MacOs aswell",
"and feautured 10 extra levels",
"",
"Why porting this game once more?",
"",--25
"because if fun and you can also learn and improve",
"your development skills",
"The game can also be improved (really?) if you have the skills of course.",
"",
"The project is yet in progress but it's moving forward very fast.",
"Hopefully the mechanichs will be implemented in a few months",
"",
"The goal of doing this is learning lua and löve and teaching others that",
"may find the challenge appealing.",
"Fish Fillets is an interesting game with many complex problems waiting",
"to be solved, and I don't just mean by playing it!",
"if you like puzzles and sokoban and development feel free to join forces!",
"Many of the problems have been already solved with the help of others",
"if you find this challenge appealing I encourage you to fork the repository",
"and / or keep track of the development and of course to have fun by playing it!",
}

--fonts and coordenates for about text
				--1   2   3   4   5   6   7   8   9  10  11  12  13  14  15  16  17  18  19  20  21  21  22  23  24  25  26  27  28  29  30  31  32  33  34  35  36  37  38  39  40  41  42  43  44  45  46   47   48   49   50
local aboutfont={13,  13, 13,13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,  13,  13}
local aboutx=  {770,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,770,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790,790, 790, 790, 790, 790}
local abouty=  { 50, 90,110,130,150,170,190,210,230,250,270,290,310,330,350,370,390,410,430,450,470,490,510,530,550,570,590,610,630,650,670,690,710,730,750,770,790,810,830,850,870,890,910,930,950,970,990,1020,1050,1070,1090}

local tooltext={"about this documentation tool",
"This is a small library that attempts to create a built-in live",
"development documentation tool for löve projects.",
"",
"It attempts to download the content from a server (not working yet)",--5
"in order to keep the information up-to-date and draw it on demand",
"",
"Once the file download mechanism is fixed you should be able to keep track ",
"and be updated of the development progress with just one click",
"",--10
"This tool does not substitute forums, issues on github or any other resource.",
"It is just a tool to keep track of the development status at a glance.",
"It can also serve as to-do list and project route and documentation tool",
"",
"It is hidden by default, I try not to make it obstrusive",--15
"",
"You can switch it on and off with key -6-",--17
}

--fonts and coordenates for about this tool
				--1   2   3   4   5   6   7   8   9  10  11  12  13  14  15  16  17  18  19  20  21  21  22  23  24  25  26  27  28  29  30  31  32  33  34  35  36  37  38  39  40  41  42  43  44  45  46  47
local toolfont={15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 12, 15, 15, 15, 15, 15, 15, 15, 15}
local toolx=  {770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770,770}
local tooly=  { 50, 90,110,130,150,170,190,210,230,250,270,290,310,330,350,370,390,410,430,450,470,490,510,530,550,570,590,610,630,650,670,690,710,730,750,770,790,810,830,850,870,890,910,930,950,970,990,1050}





-- Mouse


local http = require "socket.http"

local function progress_sink(chunk, err)
  if chunk then
    print(string.format("received %d bytes", #chunk))
  elseif err then
    print(err)
  else
    print("Download finished")
  end
end

local request = {
    url = "https://love2d.org/style/screenshots/oh-my-giraffe.png",
    method = "GET",
    sink = custom_sink,
}
local success, status_code = http.request(request)

function loadmilestones()
--love.window.setMode(1400, 800, {resizable=true, borderless=false})
--love.window.setMode(1400, 800, {resizable=true, borderless=false})
if milestones=="no" then  love.window.setMode(668, 600, {resizable=true, borderless=false})
elseif milestones=="yes" then love.window.setMode(1400, 800, {resizable=true, borderless=false}) end

createcanvas()
      
  --logo = http.request("https://love2d.org/style/logo.png")
  --love.filesystem.setIdentity("/savedirectory")
  --logo = love.filesystem.newFileData(logo, "logo.png")
  --logo = love.graphics.newImage(logo)
   --https://love2d.org/wiki/love.filesystem.remove
   
    love.mouse.setVisible(false) -- make default mouse invisible
   cursor = love.graphics.newImage("graphics/cursor.png") -- load in a custom mouse image
end



function milestonesdraw()

   --local s = "Saved on "..love.filesystem.getSaveDirectory().."/logo.png"
   --love.graphics.print(s, 10, 10) -- /Users/Nico/Library/Application Support/LOVE/u/logo.png in my case




		love.graphics.setColor(1,1,1,0.5)
        love.graphics.rectangle ('fill', 750,50,600,750)
        
         local x, y = love.mouse.getPosition() -- get the position of the mouse

-- About section
		love.graphics.setFont(love.graphics.newFont(15))
		  love.graphics.setColor(0,0,0,1)
		love.graphics.printf('Milestones and route',1100, 10,250,"right")
		love.graphics.printf('About',1100, 30,250,"right")
		love.graphics.printf('About this tool',750, 10,250,"left")
					
					if localsection=="about" then
						for i=1,35,1 do
							love.graphics.setFont(love.graphics.newFont(aboutfont[i]))
							love.graphics.printf(about1[i], aboutx[i], abouty[i], 625, "left")
						end
					elseif localsection=="route1" then
						for i=1,20,1 do
							love.graphics.setFont(love.graphics.newFont(route1font[i]))
							love.graphics.printf(route1[i],route1x[i],route1y[i],625, "left")
						end
					elseif localsection=="thistool" then
						for i=1,17,1 do
							love.graphics.setFont(love.graphics.newFont(toolfont[i]))
							love.graphics.printf(tooltext[i],toolx[i],tooly[i],625, "left")
						end
					end
					
				
		if x>1220 and x<1400 then
			if y>5 and y<25 and love.mouse.isDown(1) then 
			localsection="route1"
			elseif y>35 and y<45 and love.mouse.isDown(1) then 
			localsection="about"
			end
		end
		
		if x>750 and x<860 then
			if y>5 and y<25 and love.mouse.isDown(1) then 
			localsection="thistool"
			--elseif y>35 and y<45 and love.mouse.isDown(1) then 
			--localsection=""
			end
		end
		--print(x)

   love.graphics.draw(cursor, x, y) -- draw the custom mouse image

                love.graphics.setBackgroundColor(0, 1, .75)
                love.graphics.setColor(1,1,1)
end	


function milestonesdrawcontent()

end


