# Luasok
Attempting to implement fish fillets game logic with lua using the normal sokoban game logics from simplegametutorials.github.io

![Screenshot 1](/screenshots/luasok.png)

Work in progress, this game is not yet fully functional.

The rules of the game are here:
http://fillets.sourceforge.net/manual.php

This is a sokoban game with special mechanics.

The new mechanichs can be summarized as follows:
- There are two players simultaneously.
- Instead of simple boxes there are "tetris like" objects. The players also have special forms that uses more than one cell.
- There is gravity, objects need support below, it can be the player or the objects and floors of the level.
- The falling objects kills player on their path.
- Objects can be transfered from one player to another while supporting them
- There are special "steel objects" that can only be moved by one of the players and not the other.
- The goal of the game is to set the players free by clearing the path to the exit.

Summary of what have been done so far:

- Background separated from the objects and drawn to the canvas
- Objects can now be pushed (only by the big fish yet)
- Switch character works
- Objects can't be moved down (but they don't fall by themselves yet)
- Collision with the walls works (only implemented on the big fish)

What's left yet:
- Make the the big fish stop after every move inside the grid
- Optimization: Performance issue caused now by the objects, they need to be drawn to the canvas and only drawn them when necessary.
- Implement gravity: makes objects fall down
- Objects beyond the pushed objects should be detected, when the object collide the player should not be able to push further.
- Objects falling over character kills them
- Steel bar can only be moved by the big fish
