local pb = require ('push-blocks')
function love.load()
require ("player2")
require ("drawlevel")
require("wallborders")
require ("levels")


--require ("keypressed")

require ("inputs")

require ("help")

require ("milestones")

function love.load()
	local ddwidth, ddheight = love.window.getDesktopDimensions( display )
	if ddheight > 1080 then
		print('ddheight: ' .. ddheight)
		--love.window.setMode(1920, 1080, {resizable=true, borderless=false})
		--love.window.setMode(1400, 800, {resizable=true, borderless=false})
	else
		--love.window.setMode(ddwidth, ddheight-200, {resizable=true, borderless=false})
		--love.window.setMode(668, 600, {resizable=true, borderless=false})
		
	end
	width, height = love.graphics.getDimensions( )

	
end

love.load()

    love.graphics.setBackgroundColor(0, 1, .75)

    fish1 = '@'
    fish1body= '1'
    fish2 = '0'
    fish2body= '2'
    chair1 = 'a'
    cushion = 'c'
    table = 'd'
    chair2 = 'b'
    steelbar = 'A'
    wall = '#'
    empty = ' '
    
    --box = '$'
    --boxOnStorage = '*'
    --storage = '.'
    
    --obj1 = ','
    --obj2='2'

	-- game states
	helpison="no"
	
	--levels states
	currentplayer= "1"
    currentLevel = 1
    
    cellwidth=20
    cellheight=20
    
    --player states
	
	--fish position 1
	f1x=19
	f1y=16
	fish1direction="left"

	--fish position 2
	f2x=7
	f2y=16
	fish2direction="right"

    loadLevel()

    
    
    --debug game states
    debugmode="no"
    objectscells="yes"
    background="yes"
    adjacentcells="no"
    playerscells="yes"
    milestones="no"
    
       createcanvas()
	
	--deprecated:
        --loadobjects(chair1obj,tableobj,chair2obj,cushionobj,steelbarobj)
    --loadplayers(fish1obj,fish2obj,fish1objright,fish2objright)
    
    loadplayer2(fish2obj,fish2objright)
	loadmilestones()
end

function createcanvas()
 canvas = love.graphics.newCanvas(800, 600)
	loadwallborder()
    -- Rectangle is drawn to the canvas with the regular alpha blend mode.
    love.graphics.setCanvas(canvas)
        love.graphics.clear()
        love.graphics.setBlendMode("alpha")
        love.graphics.setColor(1, 0, 0, 0.5)
        --love.graphics.rectangle('fill', 0, 0, 100, 100)
        draw_level()
        pb:drawMap ()
        --draw_wallborders()
        --pb:drawBackgroundGrid ()
        
    love.graphics.setCanvas()
end

function createcanvasdebugmode()
 canvas = love.graphics.newCanvas(800, 600)
	loadwallborder()
    -- Rectangle is drawn to the canvas with the regular alpha blend mode.
    love.graphics.setCanvas(canvas)
        love.graphics.clear()
        love.graphics.setBlendMode("alpha")
        love.graphics.setColor(1, 0, 0, 0.5)
        --love.graphics.rectangle('fill', 0, 0, 100, 100)
        draw_level()
          pb:drawMap ()
        --draw_wallborders()
        pb:drawBackgroundGrid ()
        
    love.graphics.setCanvas()
end

function love.keypressed(key, scancode, isrepeat)
	if false then
	elseif key == "escape" then
		love.event.quit()
	end
end

function love.mousepressed( x, y, button, istouch, presses )
	if button == 1 then -- left mouse button
	elseif button == 2 then -- right mouse button
	end
end

function love.mousemoved( x, y, dx, dy, istouch )
end

function love.mousereleased( x, y, button, istouch, presses )
	if button == 1 then -- left mouse button
	elseif button == 2 then -- right mouse button
	end
end

function love.update(dt)
if dt > 0.05 then dt = 0.05 end
	if currentplayer== "1" then 
		pb:update (dt) 
		
	end
	
	
end


function love.draw(dt)
			
--draw_level()
if background=="yes" then
love.graphics.draw(canvas)
love.graphics.setBlendMode("alpha")
end
debug()

	--pb:drawBackgroundGrid ()
	if objectscells=="yes" then
	pb:drawBlocks () 
	end
	if playerscells=="yes" then
	pb:drawAgent () end

if objectscells=="yes" then
--draw_chair1()
--draw_table()
--draw_chair2()
--draw_cushion()
--draw_steelbar()
end

--if playerscells=="yes" then
--if fish1direction=="left" then draw_fish1() elseif fish1direction=="right" then draw_fish1right() end
if fish2direction=="right" then draw_fish2() elseif fish2direction=="left" then draw_fish2right() end
--end
    
if helpison=="yes" then 
love.graphics.setColor(0.5,0.5,0.5,0.8)
love.graphics.rectangle('fill',90,310,350,350)
love.graphics.setColor(1,1,1)

	if debugmode=="no" then
	love.graphics.setFont(love.graphics.newFont(20))
		love.graphics.print(help,100,320,0, 0.8, 1)
	elseif debugmode=="yes" then
	love.graphics.setFont(love.graphics.newFont(15))
		love.graphics.print(helpdebugmode,100,320,0, 0.8, 1)
	end
end

if milestones=="yes" then
milestonesdraw()
end
 
			

end
